<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* forecastio-form-edit.twig */
class __TwigTemplate_c5edcdb143bb28f2aec5cc73815b58db34f7a89118bda149bb45d20c9390ca6e extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "forecastio-form-edit.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "forecastio-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Weather");
    }

    // line 16
    public function block_formButtons($context, array $blocks = [])
    {
        // line 17
        echo "    ";
        if (($this->getAttribute(($context["currentUser"] ?? null), "isSuperAdmin", [], "method") && ($this->getAttribute(($context["settings"] ?? null), "SERVER_MODE", []) == "Test"))) {
            // line 18
            echo "        ";
            echo __("Export Template");
            echo ", formHelpers.requestTab(\"forecast\"| \"";
            echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.tab.form", ["tab" => "exporttemplate", "id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
            echo "\")
    ";
        }
        // line 20
        echo "    ";
        echo __("Get Forecast");
        echo ", formHelpers.requestTab(\"forecast\"| \"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.tab.form", ["tab" => "forecast", "id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\")
";
    }

    // line 23
    public function block_extra($context, array $blocks = [])
    {
        echo twig_jsonencode_filter($this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method"));
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        // line 26
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 28
        echo __("General");
        echo "</span></a></li>
            <li><a href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 29
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"dropdown\">
                <a class=\"dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 32
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <ul class=\"dropdown-menu\">
                    <li><a href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Preset");
        echo "</span></a></li>
                    <li><a href=\"#currentForecastTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("Current Forecast");
        echo "</span></a></li>
                    <li><a href=\"#dailyForecastTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Daily Forecast");
        echo "</span></a></li>
                    <li><a href=\"#optionalStylesheetTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 38
        echo __("Style Sheet");
        echo "</span></a></li>
                    <li><a href=\"#optionalJavascript\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 39
        echo __("Optional JavaScript");
        echo "</span></a></li>
                </ul>
            </li>
            <li><a href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("Caching");
        echo "</span></a></li>
            <li><a href=\"#forecast\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Forecast");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"forecastEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 46
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "
                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 68
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 69
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 70
($context["inheritOption"] ?? null)]];
        // line 72
        echo "                        ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Use the Display Location");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the location configured on the display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDisplayLocation", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "useDisplayLocation", 1 => 1], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Latitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Latitude for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        echo $context["forms"]->getnumber("latitude", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "latitude"], "method"), ($context["helpText"] ?? null), "locationControls");
        echo "

                        ";
        // line 84
        ob_start(function () { return ''; });
        echo __("Longitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Longitude for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        echo $context["forms"]->getnumber("longitude", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "longitude"], "method"), ($context["helpText"] ?? null), "locationControls");
        echo "
                        
                        ";
        // line 88
        ob_start(function () { return ''; });
        echo __("Units");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the units you would like to use.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        echo $context["forms"]->getdropdown("units", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "units"], "method"), $this->getAttribute(($context["module"] ?? null), "unitsAvailable", [], "method"), "id", "value", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Language");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the language you would like to use.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        echo $context["forms"]->getdropdown("lang", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "lang", 1 => "en"], "method"), $this->getAttribute(($context["module"] ?? null), "supportedLanguages", [], "method"), "id", "value", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Only show Daytime weather conditions");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to only show the Daytime weather conditions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        echo $context["forms"]->getcheckbox("dayConditionsOnly", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dayConditionsOnly"], "method"), ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        ";
        // line 102
        ob_start(function () { return ''; });
        echo __("Weather Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        echo $context["forms"]->getdropdown("templateId", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "templateId"], "method"), $this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method"), "id", "value", ($context["helpText"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image");
        echo "

                        ";
        // line 106
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                        ";
        echo $context["forms"]->getcheckbox("overrideTemplate", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "overrideTemplate"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 110
        ob_start(function () { return ''; });
        // line 111
        echo "                            ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        echo $context["forms"]->getmessage(($context["useTemplatesMessage"] ?? null), "template-override-controls");
        echo "

                        ";
        // line 115
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        echo $context["forms"]->getnumber("widgetOriginalWidth", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method"), ($context["helpText"] ?? null), "template-override-controls", "", "number");
        echo "

                        ";
        // line 119
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        echo $context["forms"]->getnumber("widgetOriginalHeight", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method"), ($context["helpText"] ?? null), "template-override-controls", "", "number");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"currentForecastTab\">
                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 126
        echo __("Current Forecast Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"currentTemplate_advanced\" name=\"currentTemplate_advanced\" ";
        // line 127
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "currentTemplate_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        echo " 
                                data-size=\"small\" 
                                data-label-text=\"";
        // line 129
        echo __("Visual editor");
        echo "\" 
                                data-label-width=\"80px\" 
                                data-on-text=\"";
        // line 131
        echo __("On");
        echo "\" 
                                data-off-text=\"";
        // line 132
        echo __("Off");
        echo "\">
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 136
        ob_start(function () { return ''; });
        // line 137
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "currentTemplate-advanced-editor-hide");
        echo "

                            ";
        // line 141
        ob_start(function () { return ''; });
        // line 142
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 143
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 144
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage2"] ?? null), "currentTemplate-advanced-editor-show");
        echo "
                        </div>

                        ";
        // line 148
        ob_start(function () { return ''; });
        echo __("Enter the template for the current forecast. For a list of substitutions click Get Forecast below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "                        ";
        echo $context["forms"]->gettextarea("currentTemplate", "", $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "currentTemplate"], "method"), ($context["helpText"] ?? null), "template-override-controls", "required", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"dailyForecastTab\">
                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 154
        echo __("Daily Forecast Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"dailyTemplate_advanced\" name=\"dailyTemplate_advanced\" ";
        // line 155
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dailyTemplate_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        echo " 
                                data-size=\"small\" 
                                data-label-text=\"";
        // line 157
        echo __("Visual editor");
        echo "\" 
                                data-label-width=\"80px\" 
                                data-on-text=\"";
        // line 159
        echo __("On");
        echo "\" 
                                data-off-text=\"";
        // line 160
        echo __("Off");
        echo "\">
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 164
        ob_start(function () { return ''; });
        // line 165
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "dailyTemplate-advanced-editor-hide");
        echo "

                            ";
        // line 169
        ob_start(function () { return ''; });
        // line 170
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 171
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 172
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage2"] ?? null), "dailyTemplate-advanced-editor-show");
        echo "
                        </div>

                        ";
        // line 176
        ob_start(function () { return ''; });
        echo __("Enter the template for the daily forecast. Replaces [dailyForecast] in main template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        echo $context["forms"]->gettextarea("dailyTemplate", "", $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dailyTemplate"], "method"), ($context["helpText"] ?? null), "template-override-controls", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 182
        echo __("CSS Style Sheet");
        echo "</h4>
                        </div>

                        ";
        // line 185
        ob_start(function () { return ''; });
        echo __("Enter a CSS style sheet to style the weather widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 186
        echo "                        ";
        echo $context["forms"]->gettextarea("styleSheet", "", $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "styleSheet"], "method"), ($context["helpText"] ?? null), "template-override-controls", "required", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascript\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 191
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 194
        echo $context["forms"]->gettextarea("javaScript", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method"), "", "", "", 10);
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 198
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 199
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                        ";
        echo $context["forms"]->getnumber("updateInterval", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method"), ($context["helpText"] ?? null), "", "required");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"forecast\">
                        ";
        // line 204
        ob_start(function () { return ''; });
        echo __("Please press Get Forecast");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 205
        echo "                        ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "  
                    </div>
                </div>
                
                ";
        // line 209
        if ((($this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method") == "") && ($this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "owmApiKey"], "method") == ""))) {
            // line 210
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The Weather Widget has not been configured yet, please ask your CMS Administrator to look at it for you.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 211
            echo "                    ";
            echo $context["forms"]->getmessage(($context["message"] ?? null), "alert alert-danger");
            echo "
                ";
        }
        // line 213
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "forecastio-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  615 => 213,  609 => 211,  604 => 210,  602 => 209,  594 => 205,  590 => 204,  582 => 200,  577 => 199,  573 => 198,  566 => 194,  560 => 191,  551 => 186,  547 => 185,  541 => 182,  532 => 177,  528 => 176,  521 => 173,  518 => 172,  515 => 171,  512 => 170,  510 => 169,  504 => 167,  498 => 165,  496 => 164,  489 => 160,  485 => 159,  480 => 157,  473 => 155,  469 => 154,  460 => 149,  456 => 148,  449 => 145,  446 => 144,  443 => 143,  440 => 142,  438 => 141,  432 => 139,  426 => 137,  424 => 136,  417 => 132,  413 => 131,  408 => 129,  401 => 127,  397 => 126,  388 => 121,  383 => 120,  379 => 119,  373 => 117,  368 => 116,  364 => 115,  358 => 113,  352 => 111,  350 => 110,  344 => 108,  339 => 107,  335 => 106,  329 => 104,  324 => 103,  320 => 102,  312 => 98,  307 => 97,  303 => 96,  297 => 94,  292 => 93,  288 => 92,  282 => 90,  277 => 89,  273 => 88,  267 => 86,  262 => 85,  258 => 84,  252 => 82,  247 => 81,  243 => 80,  237 => 78,  232 => 77,  228 => 76,  220 => 72,  218 => 70,  217 => 69,  216 => 68,  214 => 67,  209 => 66,  204 => 65,  200 => 64,  197 => 63,  192 => 62,  188 => 61,  182 => 59,  177 => 58,  173 => 57,  167 => 55,  162 => 54,  158 => 53,  152 => 51,  147 => 50,  143 => 49,  137 => 46,  131 => 43,  127 => 42,  121 => 39,  117 => 38,  113 => 37,  109 => 36,  105 => 35,  99 => 32,  93 => 29,  89 => 28,  85 => 26,  82 => 25,  76 => 23,  67 => 20,  59 => 18,  56 => 17,  53 => 16,  48 => 13,  45 => 12,  40 => 9,  38 => 10,  32 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "forecastio-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/forecastio-form-edit.twig");
    }
}
